Version: 1.5.0

React support

Configure React babel preset

React is supported via the use of ts-config's React babel preset.

Install ts-engine's React babel preset:

yarn add --dev @ts-engine/babel-preset-react

Add a babel.config.js file in your packages root directory:

babel.config.js
module.exports = {
presets: ["@ts-engine/babel-preset-react"],
// your config goes here
};